---
agentTools:
  projectIndex: https://adzumo.readme.io/llms.txt
---

# Include Zone

Include a zone to a campaign (removes an exclusion)

[block:api-header]
{
  "type": "basic",
  "title": "PHP"
}
[/block]

Replace:
\[CAMPAIGN] with your campaign ID
\[ZONE] with the zone ID you wish to include
\[YOUR\_API\_TOKEN] with your token

[block:code]
{
  "codes": [
    {
      "code": "<?php\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/stats/[CAMPAIGN]/zones/[ZONE]/include/?token=[YOUR_API_TOKEN]');\n  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);\n  curl_setopt($this->curl, CURLOPT_CUSTOMREQUEST, 'PUT');\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>",
      "language": "php"
    }
  ]
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "API Settings",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.adzumo.net/v1"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/advertiser/stats/:campaign/zones/:zone/include/": {
      "put": {
        "summary": "Include Zone",
        "description": "Include a zone to a campaign (removes an exclusion)",
        "operationId": "include-zone",
        "responses": {
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "php",
              "code": "<?php\n  $curl = curl_init('https://api.adzumo.net/v1/advertiser/stats/1/zones/2/include/?token=[YOUR_API_TOKEN]');\n  curl_setopt($this->curl, CURLOPT_RETURNTRANSFER, true);\n  curl_setopt($this->curl, CURLOPT_CUSTOMREQUEST, 'PUT');\n  $response = curl_exec($curl);\n  curl_close($curl);\n  var_dump($response);\n?>"
            }
          ],
          "samples-languages": [
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "60f594ea7275ac0071183ac9:60f594ea7275ac0071183b0b"
}
```